gtk.IMContextSimple
Prev | The gtk Class Reference | Next

## gtk.IMContextSimple

gtk.IMContextSimple — an input method context object that supports "simple" input methods

## Synopsis

    class gtk.IMContextSimple(gtk.IMContext):
        gtk.IMContextSimple()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.IMContext
          +-- gtk.IMContextSimple

## gtk.IMContextSimple Signal Prototypes

gobject.GObject Signal Prototypes

gtk.IMContext Signal Prototypes

## Description

The `gtk.IMContextSimple` class is a subclass of `gtk.IMContext` that provides context support for "simple" input methods. `gtk.IMContextSimple` does direct keysym to unicode translation and table-driven composition.

## Constructor

        gtk.IMContextSimple()

Returns : | a new `gtk.IMContextSimple`.

Creates a new `gtk.IMContextSimple` object.

## Methods

Prev | Up | Next
gtk.IMContext | Home | gtk.IMMulticontext